Package be.fgov.ehealth.rn.cbsspersonservice.protocol.v1

# Class RegisterPersonResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.rn.cbsspersonservice.protocol.v1.RegisterPersonResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class RegisterPersonResponse extends StatusResponseType implements Serializable
Type defining the structure of the response being sent to the consumer after the registration of the person took place

Java class for RegisterPersonResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RegisterPersonResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence>
             <element name="Declaration" type="{urn:be:fgov:ehealth:rn:cbsspersonservice:core:v1}RegisterPersonDeclarationType" minOccurs="0"/>
             <element name="Result" type="{urn:be:fgov:ehealth:rn:cbsspersonservice:core:v1}RegisterPersonResultType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterPersonResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterPersonDeclarationType`
  `getDeclaration()`
  Gets the value of the declaration property.
  `RegisterPersonResultType`
  `getResult()`
  Gets the value of the result property.
  `void`
  `setDeclaration(RegisterPersonDeclarationType value)`
  Sets the value of the declaration property.
  `void`
  `setResult(RegisterPersonResultType value)`
  Sets the value of the result property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterPersonResponse

    public RegisterPersonResponse()

- ## Method Details

  - ### getDeclaration

    public RegisterPersonDeclarationType getDeclaration()
    Gets the value of the declaration property.
    Returns:
      possible object is `RegisterPersonDeclarationType`

  - ### setDeclaration

    public void setDeclaration(RegisterPersonDeclarationType value)
    Sets the value of the declaration property.
    Parameters:
      `value` - allowed object is `RegisterPersonDeclarationType`

  - ### getResult

    public RegisterPersonResultType getResult()
    Gets the value of the result property.
    Returns:
      possible object is `RegisterPersonResultType`

  - ### setResult

    public void setResult(RegisterPersonResultType value)
    Sets the value of the result property.
    Parameters:
      `value` - allowed object is `RegisterPersonResultType`